Skip to main content
`Ctrl`+`K`

# RGRegister

Adds a region to the `RG` package.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGRegister(const char *name,PetscErrorCode (*function)(RG))

Not Collective

## Input Parameters

- name - name of a new user-defined RG

- function - routine to create context

## Note

`RGRegister()` may be called multiple times to add several user-defined regions.

## See Also

RG: Region, `RGRegisterAll()`

## Level

advanced

## Location

src/sys/classes/rg/interface/rgbasic.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages